Package weka.classifiers.functions.neural

# Interface NeuralMethod

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `LinearUnit`, `SigmoidUnit`

public interface NeuralMethod extends Serializable
This is an interface used to create classes that can be used by the neuralnode to perform all it's computations.

Version:
  $Revision: 1.6 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`double`
`errorValue(NeuralNode node)`
This function calculates what the error value should be.
`double`
`outputValue(NeuralNode node)`
This function calculates what the output value should be.
`void`
`updateWeights(NeuralNode node, double learn, double momentum)`
This function will calculate what the change in weights should be and also update them.

## Method Details

### outputValue

double outputValue(NeuralNode node)
This function calculates what the output value should be.

Parameters:
  `node` - The node to calculate the value for.
Returns:
  The value.

### errorValue

double errorValue(NeuralNode node)
This function calculates what the error value should be.

Parameters:
  `node` - The node to calculate the error for.
Returns:
  The error.

### updateWeights

void updateWeights(NeuralNode node, double learn, double momentum)
This function will calculate what the change in weights should be and also update them.

Parameters:
  `node` - The node to update the weights for.
  `learn` - The learning rate to use.
  `momentum` - The momentum to use.